### Name: tidList-class
### Title: Class ``tidList'' - A Transaction ID List
### Aliases: tidList-class tidList_or_NULL-class [,tidList-method
###   coerce,tidList,matrix-method coerce,tidList,transactions-method
###   coerce,transactions,tidList-method coerce,tidList,matrix-method
###   coerce,tidList,list-method decode,tidList-method show,tidList-method
###   summary,tidList-method transactionInfo,tidList-method
###   summary.tidList-class show,summary.tidList-method
### Keywords: classes

### ** Examples

## Create transaction data set.
data <- list(
  c("a","b","c"),
  c("a","b"),
  c("a","b","d"),
  c("b","e"),
  c("b","c","e"),
  c("a","d","e"),
  c("a","c"),
  c("a","b","d"),
  c("c","e"),
  c("a","b","d","e"),
  )
t <- as(data, "transactions")

## Mine itemsets with tidList.
f <- eclat(data, parameter = list(support = 0, tidList = TRUE))

## Get dimensions of the tidList.
dim(tidList(f))

## Coerce tidList to list.
as(tidList(f), "list")



